org.springframework.data.relational.core.mapping.event

## Class RelationalSaveEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>
      - - org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity<E>
        - - org.springframework.data.relational.core.mapping.event.RelationalSaveEvent<E>

All Implemented Interfaces:
  Serializable, RelationalEvent<E>, WithAggregateChange<E>, WithEntity<E>

Direct Known Subclasses:
  AfterSaveEvent, BeforeConvertEvent, BeforeSaveEvent

    public abstract class RelationalSaveEvent<E>
    extends RelationalEventWithEntity<E>
    implements WithAggregateChange<E>

Events triggered during saving of an aggregate. Events of this type always have an `AggregateChange` and an entity.

Since:
  2.0
Author:
  Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Method Summary

All Methods Instance Methods Concrete Methods
`AggregateChange<E>` `getAggregateChange()`

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity

`getEntity, getType`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getEntity, getType`

### Method Detail

#### getAggregateChange

    public AggregateChange<E> getAggregateChange()

Specified by:
  `getAggregateChange` in interface `WithAggregateChange<E>`
Returns:
  Guaranteed to be not null.